.ui-dialog.ui-widget {
    font-family: var(--font-Raleway);
}

.ui-dialog.ui-widget{
    border: 0;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
    width: 100% !important;
    left: 50% !important;
    transform: translateX(-50%);
    max-width: 48rem;
    background-color: white;
}

.ui-dialog.ui-widget .ui-dialog-titlebar{
    padding: 3rem 5rem 0;
    border: 0;
    border-width: 0;
    border-radius: 10px 10px 0 0;
    background: white;
    color: var(--color-primary);
    font-size: 1.375rem;
    font-weight: 300;
}

.ui-dialog.ui-widget .ui-dialog-titlebar .ui-dialog-titlebar-close {
    right: 1.5rem;
    top: 2rem;
}

.ui-dialog.ui-widget .ui-dialog-titlebar .ui-dialog-titlebar-close .ui-button-icon{
    content: url('data:image/svg+xml,<svg width="14" height="16" viewBox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M13 1L1 14.0213M1 1L13 14.0213" stroke="%238A8C8E" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    width: 14px;
    height: 16px;
    background-image: none;
}

.ui-dialog.ui-widget .ui-dialog-content{
    padding: 2rem 5rem 5rem;
    font-size: 0.9375rem;
    color: var(--color-gray);
}

.ui-dialog.ui-widget .ui-dialog-content p{
    margin-bottom: 1rem;
}

.ui-dialog.ui-widget .ui-dialog-content a{
    color: var(--color-primary);
}

.ui-dialog.ui-widget .ui-dialog-content h3{
    font-size: 1rem;
    font-weight: 500;
    margin: 1rem 0 0.35rem;
}

.ui-dialog.ui-widget .ui-dialog-content .form-item:not(.form-type-checkbox){
    margin: 1rem 0  0;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    font-size: 0.875rem;
    width: 100%;
}

.ui-dialog.ui-widget .ui-dialog-content .form-item.form-type-select{
    width: fit-content;
}

.ui-dialog.ui-widget .ui-dialog-content .form-item select{
    font-size: 0.875rem;
    font-family: var(--font-Raleway);
    padding: 0.5rem 0.65rem;
    border-radius: 10px;
    border: 1px solid #D8D9D9;
    width: -webkit-fill-available;
    width: -moz-available;
    width: stretch;
    background: url('../../images/select_open.png') no-repeat right;
    -webkit-appearance: none;
    appearance: none;
    background-position-x: calc(100% - 9px);
}

.ui-dialog.ui-widget .ui-dialog-content .form-checkbox label{
    font-size: 0.75rem;
}

.ui-dialog.ui-widget .ui-dialog-content .form-submit{
    font-family: var(--font-Raleway);
    margin: 1.5rem 0 1.5rem;
    cursor: pointer;
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 1rem 1.5rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    font-weight: 500;
    width: fit-content;
}

.ui-dialog.ui-widget .ui-dialog-content .form-submit:hover{
    opacity: 0.8;
}

.ui-dialog.ui-widget .ui-dialog-content .form-submit.disabled{
    color: var(--color-gray);
    background-color: var(--color-gray-200);
    border-color: var(--color-gray-200);
    pointer-events: none;
    cursor: default;
}

.ui-dialog.ui-widget .ui-dialog-content form:has(> h1){
    text-align: center;
}

.ui-dialog.ui-widget .ui-dialog-content form h1{
    font-weight: 400;
    font-size: 1.375rem;
    color: var(--color-primary);
}

.ui-dialog.custom-login-modal{
    max-width: 24rem !important;  
    position: absolute;
}
@media(width > 62rem){
    .ui-dialog.custom-login-modal{
        position-anchor: --professional-acces;
        top: calc(anchor(bottom) + 20px) !important;
        left: calc(anchor(left) - 30px) !important;  
    }
}

.ui-dialog.custom-login-modal .ui-dialog-titlebar{
    padding: 1rem 1.5rem;
    font-weight: 700;
    font-size: 1.1rem;
    color: var(--color-gray);
}

.ui-dialog.custom-login-modal .ui-dialog-content{
    padding: 0 1.5rem 1.5rem;
    text-align: center;
}

.ui-dialog.custom-login-modal .ui-dialog-content .form-item{
    text-align: left;
    gap: 0.25rem;
}

.ui-dialog.custom-login-modal  .ui-dialog-content .form-submit{
    padding: 0.75rem 1.125rem;
    font-weight: 700;
}

.ui-dialog.custom-login-modal  .ui-dialog-content .text-align-left{
    text-align: left;
}
